"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LocalMain = __importStar(require("@getflywheel/local/main"));
const index_1 = require("./main/index");
const constants_1 = require("./constants");
function default_1(context) {
    const { electron } = context;
    const { ipcMain } = electron;
    LocalMain.HooksMain.addAction('siteDeleted', (siteID) => {
        (0, index_1.deleteSiteData)(siteID);
        LocalMain.sendIPCEvent(constants_1.IPC_EVENTS.SITE_DELETED, siteID);
    });
    /**
     * Scan a site for images and return the list of all images found
     */
    ipcMain.on(constants_1.IPC_EVENTS.SCAN_FOR_IMAGES, (_, siteID) => __awaiter(this, void 0, void 0, function* () { return (0, index_1.scanImages)(siteID); }));
    /**
     * Get all image data for a site if it exists (ie been scanned for in the past)
     */
    LocalMain.addIpcAsyncListener(constants_1.IPC_EVENTS.GET_IMAGE_DATA, index_1.getImageData);
    LocalMain.addIpcAsyncListener(constants_1.IPC_EVENTS.GET_IMAGE_DATA_STORE, index_1.getImageDataStore);
    /**
     * Read a Preferences object from disk
     */
    LocalMain.addIpcAsyncListener(constants_1.IPC_EVENTS.READ_PREFERENCES_FROM_DISK, () => __awaiter(this, void 0, void 0, function* () { return (0, index_1.readPreferencesFromDisk)(); }));
    /**
     * Save a Preferences object to disk
     */
    LocalMain.addIpcAsyncListener(constants_1.IPC_EVENTS.SAVE_PREFERENCES_TO_DISK, (preferences) => __awaiter(this, void 0, void 0, function* () { return (0, index_1.savePreferencesToDisk)(preferences); }));
    /**
     * Restore an image from a backup
     */
    LocalMain.addIpcAsyncListener(constants_1.IPC_EVENTS.RESTORE_IMAGE_FROM_BACKUP, (siteId, imageId) => __awaiter(this, void 0, void 0, function* () { return (0, index_1.restoreImageFromBackup)(siteId, imageId); }));
    /**
     * Visit the preferences page
     */
    ipcMain.on(constants_1.IPC_EVENTS.GO_TO_PREFERENCES, () => {
        const serviceContainer = LocalMain.getServiceContainer().cradle;
        serviceContainer.sendIPCEvent('goToRoute', '/settings/image-optimizer');
    });
    /**
     * Cancel any outstanding image compression jobs
     */
    ipcMain.on(constants_1.IPC_EVENTS.CANCEL_COMPRESSION, (_, siteID) => {
        (0, index_1.updateCancelCompression)(siteID, true);
    });
    /**
     * Compress a list of images associated with a site by their md5 has unique ids
     */
    ipcMain.on(constants_1.IPC_EVENTS.COMPRESS_IMAGES, (_, siteID, imageMD5s, stripMetaData) => (0, index_1.compressImages)(siteID, imageMD5s, stripMetaData));
}
exports.default = default_1;
//# sourceMappingURL=main.js.map