"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.reportRestoreBackupFailure = exports.reportBinOutput = exports.reportNoBinFound = exports.reportCompressFailure = exports.reportCompressSuccess = exports.reportCompressRequest = exports.reportScanFailure = exports.reportScanSuccess = exports.reportScanRequest = void 0;
const LocalMain = __importStar(require("@getflywheel/local/main"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
const packageJSON = !process.env.JEST_WORKER_ID
    ? fs_extra_1.default.readJsonSync(path_1.default.join(__dirname, '../../package.json'))
    : null;
const { localLogger } = LocalMain.getServiceContainer().cradle;
const logger = localLogger.child({
    thread: 'main',
    class: 'AddonImageOptimizer',
    addonName: packageJSON === null || packageJSON === void 0 ? void 0 : packageJSON.name,
    addonVersion: packageJSON === null || packageJSON === void 0 ? void 0 : packageJSON.version,
});
const reportScanRequest = (siteID) => {
    logger.info(`Scanning REQUEST for site ${siteID}`);
};
exports.reportScanRequest = reportScanRequest;
const reportScanSuccess = (siteID, imageCount) => {
    logger.info(`Scanning SUCCESS for site ${siteID}. Found ${imageCount} image(s).`);
};
exports.reportScanSuccess = reportScanSuccess;
const reportScanFailure = (siteID, error) => {
    logger.error(`Scanning FAILURE for site ${siteID}. ${error}.`);
};
exports.reportScanFailure = reportScanFailure;
const reportCompressRequest = (siteID) => {
    logger.info(`Compress REQUEST for site ${siteID}`);
};
exports.reportCompressRequest = reportCompressRequest;
const reportCompressSuccess = (siteID, imageCount) => {
    logger.info(`Compress SUCCESS for site ${siteID}. Compressed ${imageCount} image(s).`);
};
exports.reportCompressSuccess = reportCompressSuccess;
const reportCompressFailure = (siteID, error) => {
    logger.error(`Compress FAILURE for site ${siteID}. ${error}.`);
};
exports.reportCompressFailure = reportCompressFailure;
const reportNoBinFound = (binaryPath) => {
    logger.error(`No binary found at ${binaryPath}`);
};
exports.reportNoBinFound = reportNoBinFound;
const reportBinOutput = (imagePath, bin, output) => {
    logger.info(`[attempting to compress] ${imagePath} [using] ${bin} [ouput] ${output}`);
};
exports.reportBinOutput = reportBinOutput;
const reportRestoreBackupFailure = (errorMessage) => {
    logger.error(errorMessage);
};
exports.reportRestoreBackupFailure = reportRestoreBackupFailure;
//# sourceMappingURL=errorReporting.js.map