"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterDeletedSiteData = void 0;
/**
 * Filters out any SiteData from sites that have been deleted in Local
 *
 * @param existingSiteDataBySiteID
 * @param serviceContainer
 */
function filterDeletedSiteData(existingSiteDataBySiteID, serviceContainer) {
    const siteDataBySiteID = {};
    for (const [id, siteData] of Object.entries(existingSiteDataBySiteID)) {
        if (serviceContainer.siteData.getSite(id)) {
            siteDataBySiteID[id] = siteData;
        }
    }
    return siteDataBySiteID;
}
exports.filterDeletedSiteData = filterDeletedSiteData;
//# sourceMappingURL=filterDeletedSiteData.js.map