"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.savePreferencesToDisk = exports.readPreferencesFromDisk = exports.updateCancelCompression = exports.restoreImageFromBackup = exports.compressImages = exports.scanImages = exports.deleteSiteData = exports.getImageDataStore = exports.getImageData = void 0;
const LocalMain = __importStar(require("@getflywheel/local/main"));
const constants_1 = require("../constants");
const scanImages_1 = require("./scanImages");
const compressImages_1 = require("./compressImages");
const restoreFromBackup_1 = require("./restoreFromBackup");
const createStore_1 = require("./createStore");
const filterDeletedSiteData_1 = require("./filterDeletedSiteData");
const utils_1 = require("./utils");
const serviceContainer = LocalMain.getServiceContainer().cradle;
const existingSiteData = serviceContainer.userData.get(constants_1.COMPRESSED_IMAGE_DATA_FILE_NAME, {});
const imageDataStore = (0, createStore_1.createStore)((0, filterDeletedSiteData_1.filterDeletedSiteData)(existingSiteData, serviceContainer));
serviceContainer.userData.set(constants_1.COMPRESSED_IMAGE_DATA_FILE_NAME, imageDataStore.getState());
const runtimeStore = (0, createStore_1.createRuntimeStore)();
/**
 * Returns images data from a site from a previous scan.
 * This can be from a scan that has since been written/read to disk or from a scan that has happened during
 * the current runtime.
 *
 * Will return an empty SiteData object if none is found
 *
 * @param siteID
 *
 * @returns SiteData
 */
function getImageData(siteID) {
    return imageDataStore.getStateBySiteID(siteID);
}
exports.getImageData = getImageData;
function getImageDataStore() {
    return imageDataStore.getState();
}
exports.getImageDataStore = getImageDataStore;
function deleteSiteData(siteID) {
    imageDataStore.deleteSiteData(siteID);
    (0, utils_1.saveImageDataToDisk)(imageDataStore, serviceContainer);
}
exports.deleteSiteData = deleteSiteData;
exports.scanImages = (0, scanImages_1.scanImagesFactory)(serviceContainer, imageDataStore);
exports.compressImages = (0, compressImages_1.compressImagesFactory)(serviceContainer, imageDataStore, runtimeStore);
exports.restoreImageFromBackup = (0, restoreFromBackup_1.restoreImageFromBackupFactory)(serviceContainer, imageDataStore);
const updateCancelCompression = (siteID, cancelCompression) => {
    runtimeStore.setCancelCompressionBySiteID(siteID, cancelCompression);
};
exports.updateCancelCompression = updateCancelCompression;
function readPreferencesFromDisk() {
    return serviceContainer.userData.get(constants_1.PREFERENCES_FILE_NAME, {});
}
exports.readPreferencesFromDisk = readPreferencesFromDisk;
function savePreferencesToDisk(preferences) {
    serviceContainer.userData.set(constants_1.PREFERENCES_FILE_NAME, preferences);
}
exports.savePreferencesToDisk = savePreferencesToDisk;
//# sourceMappingURL=index.js.map