import * as React from 'react';
import IReactComponentProps from '../../../common/structures/IReactComponentProps';
import { FunctionGeneric } from '../../../common/structures/Generics';
export interface BannerProps extends IReactComponentProps {
    /** Text displayed in inline button. Depends on `buttonOnClick`. */
    buttonText?: string;
    /** Function called when clicking inline button. Depends on `buttonText`. */
    buttonOnClick?: FunctionGeneric;
    /** Function called when dismissing banner. Dismiss button will not show if `onDimiss` is `undefined`. */
    onDismiss?: FunctionGeneric;
    /** Color/icon used in general banner styling. */
    variant?: 'warning' | 'neutral' | 'success' | 'error';
    /** Size of the close icon. */
    closeSize?: 's' | 'm' | 'l';
}
declare const Banner: (props: BannerProps) => React.JSX.Element;
export default Banner;
//# sourceMappingURL=Banner.d.ts.map