import { ToastOptions as ToastOptionsDefault } from 'react-toastify';
import React from 'react';
declare enum ToastType {
    success = "success",
    error = "error",
    cta = "cta"
}
export interface ToastOptions extends Pick<ToastOptionsDefault, 'role' | 'style' | 'className' | 'toastId' | 'autoClose' | 'pauseOnFocusLoss' | 'pauseOnHover'> {
    /**
     * Content for toast. Can be simple string or valid React node.
     * E.g. Component or JSX for rendering icons, text buttons, external links, etc.
     */
    content: React.ReactChild;
    /** Toast type, can be either "success", "error", or "cta" */
    type?: keyof typeof ToastType | ToastType;
}
declare const toast: (options: ToastOptions) => import("react-toastify").Id;
export declare const dismissToast: (id?: import("react-toastify").Id | undefined) => void;
export default toast;
//# sourceMappingURL=Toast.d.ts.map