import * as React from 'react';
import ILocalContainerProps from '../../../common/structures/ILocalContainerProps';
export interface IBasicInputProps<T = HTMLElement> extends ILocalContainerProps {
    name?: string;
    onChange?: any;
    value?: string;
    minlength?: number;
    maxlength?: number;
    list?: string;
    pattern?: string;
    placeholder?: string;
    readonly?: boolean;
    size?: number;
    spellcheck?: boolean;
    invalid?: boolean;
    invalidIcon?: React.ReactElement<SVGElement>;
    invalidMessage?: React.ReactNode;
    helpText?: React.ReactNode;
    autofocus?: boolean;
    disabled?: boolean;
    /** Highlight the text on mount, useful for renaming */
    highlightText?: boolean;
    required?: boolean;
    'aria-invalid'?: React.HTMLProps<T>['aria-invalid'];
}
declare const BasicInput: React.ForwardRefExoticComponent<Pick<IBasicInputProps<HTMLElement>, "style" | "size" | "aria-label" | "className" | "id" | "children" | "pattern" | "list" | "role" | "disabled" | "name" | "onClick" | "container" | "onKeyUp" | "onKeyDown" | "key" | "innerRef" | "onMouseDown" | "onMouseUp" | "onBlur" | "onFocus" | "tabIndex" | "aria-checked" | "aria-labelledby" | "aria-expanded" | "aria-controls" | "aria-describedby" | "onContextMenu" | "onDoubleClick" | "onMouseEnter" | "onMouseLeave" | "onChange" | "value" | "placeholder" | "readonly" | "invalid" | "invalidMessage" | "aria-invalid" | "minlength" | "maxlength" | "spellcheck" | "invalidIcon" | "helpText" | "autofocus" | "highlightText" | "required"> & React.RefAttributes<HTMLInputElement>>;
export default BasicInput;
//# sourceMappingURL=BasicInput.d.ts.map