import * as React from 'react';
import IReactComponentProps from '../../../common/structures/IReactComponentProps';
export interface RadioButtonProps extends IReactComponentProps<HTMLInputElement> {
    value: string;
    label: string;
    /** Name is only optional when using RadioButtonGroup. */
    name?: string;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
    checked?: boolean;
    disabled?: boolean;
}
export declare const RadioButton: (props: RadioButtonProps) => React.JSX.Element;
interface RadioButtonGroupProps extends IReactComponentProps {
    name: string;
    legend: string;
    onChange?: (value: string) => void;
    /** Currently selected value. Not passing this creates an uncontrolled button group. */
    value?: string;
    disabled?: boolean;
    /** Useful for temporarily unchecking RadioButtonGroup button while disabled */
    uncheckWhenDisabled?: boolean;
    children: React.ReactElement<RadioButtonProps>[] | React.ReactElement<RadioButtonProps>;
}
export declare const RadioButtonGroup: (props: RadioButtonGroupProps) => React.JSX.Element;
export {};
//# sourceMappingURL=RadioButtonGroup.d.ts.map