import * as React from 'react';
import ILocalContainerProps from '../../../common/structures/ILocalContainerProps';
interface PropsBase extends ILocalContainerProps {
    children: (React.ReactNode & {
        props?: any[];
    }) | null;
    clickArea?: 'icon' | 'all';
    /** Defaults to "true" for default caret icons. Set to "false" for no icon, set to ReactNode for custom icon. */
    icon?: boolean | React.ReactNode;
    itemId?: string;
    onToggle?: (id: PropsControlled['itemId'] | undefined) => void;
    summaryClassName?: string;
    contentClassName?: string;
}
interface PropsControlled extends PropsBase {
    opened: boolean;
    noHeader?: boolean;
}
interface PropsUncontrolled extends PropsBase {
    openedDefault?: boolean;
}
/**
 * This is a factory of sorts that determines whether to use the controlled or uncontrolled variation.
 * Uses controlled-specific prop(s) to determine whether the parent is trying to "control" state or not.
 */
declare const AccordionItem: React.FC<PropsControlled | PropsUncontrolled>;
export default AccordionItem;
//# sourceMappingURL=AccordionItem.d.ts.map