import * as React from 'react';
import IReactComponentProps from '../../../common/structures/IReactComponentProps';
import { ContainerMarginLookupType } from './ContainerMarginHelper';
export interface IContainerProps extends IReactComponentProps {
    /** Whether to include the container (false) or exclude it (true) */
    disabled?: boolean;
    /** The container element or tag (if string) to be used as the container. */
    element?: React.ReactElement | string;
    /** Margin values to be set to 'style' prop */
    margin?: ContainerMarginLookupType;
    marginBottom?: ContainerMarginLookupType;
    marginLeft?: ContainerMarginLookupType;
    marginRight?: ContainerMarginLookupType;
    marginTop?: ContainerMarginLookupType;
}
export declare const Container: React.ForwardRefExoticComponent<Pick<IContainerProps, "style" | "aria-label" | "className" | "id" | "children" | "role" | "disabled" | "onClick" | "onKeyUp" | "onKeyDown" | "key" | "innerRef" | "onMouseDown" | "onMouseUp" | "onBlur" | "onFocus" | "tabIndex" | "aria-checked" | "aria-labelledby" | "aria-expanded" | "aria-controls" | "aria-describedby" | "onContextMenu" | "onDoubleClick" | "onMouseEnter" | "onMouseLeave" | "element" | "margin" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop"> & React.RefAttributes<HTMLElement>>;
//# sourceMappingURL=Container.d.ts.map