import { IContainerProps } from './Container';
declare enum ContainerMarginLookupEnum {
    none = "none",
    xs = "xs",
    s = "s",
    m = "m",
    l = "l",
    xl = "xl"
}
export type ContainerMarginLookupType = ContainerMarginLookupEnum.none | ContainerMarginLookupEnum.s | ContainerMarginLookupEnum.m | ContainerMarginLookupEnum.l | ContainerMarginLookupEnum.xl | 0 | string;
declare enum ContainerMarginPropNameEnum {
    margin = "margin",
    marginBottom = "marginBottom",
    marginLeft = "marginLeft",
    marginRight = "marginRight",
    marginTop = "marginTop"
}
type ContainerMarginPropNameType = ContainerMarginPropNameEnum.margin | ContainerMarginPropNameEnum.marginBottom | ContainerMarginPropNameEnum.marginLeft | ContainerMarginPropNameEnum.marginRight | ContainerMarginPropNameEnum.marginTop;
type ReturnValue = {
    [ContainerMarginPropNameEnum.margin]?: string | number;
    [ContainerMarginPropNameEnum.marginBottom]?: string | number;
    [ContainerMarginPropNameEnum.marginLeft]?: string | number;
    [ContainerMarginPropNameEnum.marginRight]?: string | number;
    [ContainerMarginPropNameEnum.marginTop]?: string | number;
} | undefined;
export declare class ContainerMarginHelper {
    static sizeLookups: Map<ContainerMarginLookupType, number>;
    static getContainerMarginStyle(props: IContainerProps): ReturnValue | undefined;
    static processMarginType(marginValue: string | number | undefined, propName: ContainerMarginPropNameType): ReturnValue;
    static parseMargin(margin: string | number): string | number | undefined;
    static formatFinalValue(value: string | number | undefined): string | 0 | undefined;
    static lookupValue(value: ContainerMarginLookupType | undefined): number | undefined;
    static wrapReturnValue(value: string | number | undefined, propName: ContainerMarginPropNameType): ReturnValue;
    static parseExpression(s: string): number;
    static getExpressionShiftedValuesAndSign(shiftedValue: string | undefined): {
        shiftedValue: string | undefined;
        sign: '-' | '+';
        value: string;
    } | undefined;
}
export {};
//# sourceMappingURL=ContainerMarginHelper.d.ts.map