import * as React from 'react';
import { IVirtualTableProps, VirtualTableDataType, VirtualTableHeaderObjectType } from '../VirtualTable';
export interface VirtualTableHelperCalculations {
    columnClassNames: VirtualTableHeaderObjectType['className'][];
    columnFlexWidths: string[];
    dataKeysOrderedColumns: (string | number)[];
    dataKeyToColIndexLookup: Map<string | number, number>;
    headersNormalized: VirtualTableDataType | undefined;
}
export declare class VirtualTableHelper {
    getRowHeight(ref: React.RefObject<HTMLTableElement>): Promise<number | null>;
    _getRowHeight(ref: React.RefObject<HTMLTableElement>): number | null;
    getDataCalculationsMemoized: import("memoize-one").MemoizedFn<(props: IVirtualTableProps) => VirtualTableHelperCalculations>;
    static getColumnFlexWidthsMemoized: import("memoize-one").MemoizedFn<(headers: IVirtualTableProps['headers'], dataKeysOrderedColumns: VirtualTableHelperCalculations['dataKeysOrderedColumns']) => {
        columnFlexWidths: string[];
        columnClassNames: string[];
    }>;
    static normalizeHeadersMemoized: import("memoize-one").MemoizedFn<(headers: IVirtualTableProps['headers']) => VirtualTableDataType | undefined>;
    static createColumnIndexLookupMemoized: import("memoize-one").MemoizedFn<(data: IVirtualTableProps['data'], headersNormalized: VirtualTableDataType | undefined) => VirtualTableHelperCalculations['dataKeyToColIndexLookup']>;
    getOrderedData(rowData: VirtualTableDataType, headers: IVirtualTableProps['headers'], dataKeyToColIndexLookup: VirtualTableHelperCalculations['dataKeyToColIndexLookup']): any[];
}
//# sourceMappingURL=VirtualTableHelper.d.ts.map