/**
 * Creates a random URL-safe string for IDs and unique fallback values.
 *
 * @param len Length of the string to generate.
 */
export default function randomId(len?: number): string;
/**
 * Create random string (`randomId`), function for creating a unique suffix on each call.
 *
 * Useful for knowing a string will always have a unique suffix but can still be targeted easily with RegEx.
 *
 * ---
 * `const [randomId, withUniqueSuffix] = idWithUniqueSuffix();`
 */
export declare function idWithUniqueSuffix(): [string, () => string];
//# sourceMappingURL=randomId.d.ts.map