import type { Meta, StoryObj } from '@storybook/react';
import OfflineBanner from './OfflineBanner';

/** The `OfflineBanner` component displays a "No internet connection" message inside an HTML container. */

const meta: Meta<typeof OfflineBanner> = {
	title: 'Alerts/OfflineBanner',
	component: OfflineBanner,
	parameters: {
		controls: {
			include: ['id', 'offline', 'style'],
		},
	},
};

export default meta;
type Story = StoryObj<typeof OfflineBanner>;

export const Offline: Story = {
	args: {
		offline: true,
	},
};
