import type { Meta, StoryObj } from '@storybook/react';
import { RadioButton } from './RadioButtonGroup';

const meta: Meta<typeof RadioButton> = {
	title: 'Inputs/RadioButton',
	component: RadioButton,
	argTypes: {onChange: {description: 'See RadioButtonGroup for onChange usage.', action: 'changed'} },
	parameters: {
		controls: {
			include: [
				'checked',
				'disabled',
				'value',
				'label',
				'name',
				'onChange',
				'id',
			],
		},
	},
}

export default meta;

type Story = StoryObj<typeof RadioButton>;

export const Default: Story = {
	name: "RadioButton",
	args: {
		checked: true,
		disabled: false,
		value: 'option1',
		label: 'Option 1',
		name: 'option1',
		id: 'option1',
	},
};
